## oblibs 0.2.1.0experimental1

=== debian/changelog ===
oblibs (0.2.1.0experimental1-1.0antix1) unstable; urgency=medium

  * antiX nuild 

 -- anticapitalista <antix@operamail.com>  Sat, 10 Feb 2024 16:40:21 +0200

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/oblibs-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/oblibs-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/oblibs/ oblibs-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/oblibs/oblibs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
opts="mode=git" https://git.obarun.org/obarun/oblibs
#    refs/tags/v([\d\.]+)

## oblibs 0.2.1.3experimental1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

-include config.mak
include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
LDLIBS_ALL := $(LDLIBS_AUTO) $(LDLIBS)
REALCC = $(CROSS_COMPILE)$(CC)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

TYPES := size uid gid pid time dev ino

ALL_SRCS := $(wildcard src/*/*.c)
ALL_DOBJS := $(ALL_SRCS:%.c=%.lo)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
ALL_SOBJS := $(ALL_SRCS:%.c=%.o)
CFLAGS_SHARED := -fPIC
else
ALL_SOBJS := $(ALL_DOBJS)
CFLAGS_SHARED :=
endif
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS)
ALL_DATA := $(wildcard src/etc/*)

all: $(ALL_LIBS) $(ALL_DATA) $(ALL_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(ALL_SOBJS) $(ALL_DOBJS)

distclean: clean
	@exec rm -rf config.mak package/deps.mak src/include/$(package)/config.h

txz: distclean
	@./tools/gen-deps.sh > package/deps.mak 2> /dev/null && \
	. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -Jpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.xz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment -R $(STATIC_LIBS)
endif
ifneq ($(strip $(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R $(SHARED_LIBS)
endif

install: install-dynlib install-lib install-include
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)

$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

liboblibs.a.xyzzy: $(ALL_SOBJS)
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

liboblibs.so.xyzzy: $(ALL_DOBJS)
	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,liboblibs.so.$(version_M) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean txz strip install install-dynlib install-lib install-include

=== debian/changelog ===
oblibs (0.2.1.3experimental1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr@yahoo.gr repo 

 -- anticapitalista <antix@operamail.com>  Sat, 11 May 2024 11:44:39 +0300

oblibs (0.2.1.0experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22 +1000

=== debian/control ===
Source: oblibs
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 skalibs-dev (>= 2.14),
 libs6-dev (>= 2.12),
 libexecline-dev (>= 2.9),
 execline (>= 2.9),
 libexecline2.9 ,
 libskarnet2.14
Standards-Version: 4.6.2
Homepage: https://web.obarun.org/software/66/
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: oblibs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A collection of system tools built around s6 and s6-rc created to make the implementation and manipulation of service files on your machine easier.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --shebangdir=\$${prefix}/lib/execline/bin
CONFIG_OPT += --with-s6-log-timestamp=iso
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --enable-absolute-paths
#CONFIG_OPT += --enable-shared
#CONFIG_OPT += --enable-allstatic
#CONFIG_OPT += --HOSTNAME=antix-66
#CONFIG_OPT += --TMPFILE='!no'
#CONFIG_OPT += --MODULE_SYSTEM='!no'
#CONFIG_OPT += --MNT_PROC='!no'
#CONFIG_OPT += --MNT_DEV='!no'
#CONFIG_OPT += --MNT_SYS='!no'
#CONFIG_OPT += --MNT_NETFS='!no'
#CONFIG_OPT += --CHECK_CONFIGURATION='!no'

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

#override_dh_auto_configure-indep:
#override_dh_auto_build-indep:
#override_dh_auto_install-indep:
#	mkdir -p debian/tmp/usr/share/doc/s6
#	cp -aT doc debian/tmp/usr/share/doc/s6
#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info

## oblibs 0.3.0.0experimental1

=== debian/changelog ===
oblibs (0.3.0.0experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Tue, 28 May 2024 22:22:22 +1000

oblibs (0.2.1.3experimental1-1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com> Sat, 27 Apr 2024 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper-compat (= 13),
  autotools-dev,
  s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),

## oblibs 0.3.1.0~antix1

=== debian/changelog ===
oblibs (0.3.1.0~antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 18 Sep 2024 12:20:10 +0300

=== debian/control ===
Source: oblibs
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.13.1),
 skalibs-dev (>= 2.14.3),
 libs6-dev (>= 2.13.1),
 libexecline-dev (>= 2.9.6),
 execline (>= 2.9.6),
 libexecline2.9,
 libskarnet2.14t64
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/Obarun/oblibs
#Vcs-Browser: https://salsa.debian.org/debian/66
#Vcs-Git: https://salsa.debian.org/debian/66.git

Package: oblibs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A collection of system tools built around s6 and created to make the implementation and manipulation of service files on your machine easier.
 The oblibs package provides th necessary libraries to compile & run s6-66.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-#CONFIG_OPT += --HOSTNAME=antix-66
+#CONFIG_OPT += --HOSTNAME=antix1
 #CONFIG_OPT += --TMPFILE='!no'
 #CONFIG_OPT += --MODULE_SYSTEM='!no'
 #CONFIG_OPT += --MNT_PROC='!no'
@@ -31,13 +31,12 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
+override_dh_clean:
+	rm -rf README.md
+	dh_clean
+
+override_dh_auto_configure:
 	./tools/gen-deps.sh > package/deps.mak
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info
+

## oblibs 0.3.2.1

=== src/environ/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../include/66

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline

LIBS = 	-lexecline \
		-lskarnet \
		../../../liboblibs.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = environ_substitute.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../liboblibs.so.xyzzy) LD_LIBRARY_PATH=../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== debian/changelog ===
oblibs (0.3.2.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

oblibs (0.3.0.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

oblibs (0.2.1.0experimental1-1) UNRELEASED; urgency=medium

  * Initial release. Experimental.

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-#CONFIG_OPT += --HOSTNAME=antix1
+#CONFIG_OPT += --HOSTNAME=antix-66
 #CONFIG_OPT += --TMPFILE='!no'
 #CONFIG_OPT += --MODULE_SYSTEM='!no'
 #CONFIG_OPT += --MNT_PROC='!no'

## oblibs 0.3.3.0

=== debian/changelog ===
oblibs (0.3.3.0-0experimental1) UNRELEASED; urgency=medium

  * Upstream release 0.3.3.0.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 17 May 2025 22:22:22 +1000

## oblibs 0.3.4.0

=== Makefile ===
--- 
+++ 
@@ -99,4 +99,26 @@
 liboblibs.so.xyzzy: $(ALL_DOBJS)
 	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,liboblibs.so.$(version_M) $^ $(EXTRA_LIBS) $(LDLIBS)
 
-.PHONY: it all clean distclean txz strip install install-dynlib install-lib install-include
+check:
+	@echo "Running tests..."
+	@for dir in src/; do \
+		echo "Scanning $$dir for tests..."; \
+		find $$dir -type d -name test | while read testdir; do \
+			if [ -f $$testdir/Makefile ]; then \
+				echo "Building tests in $$testdir..."; \
+				$(MAKE) -C $$testdir LIB_PATH=$(PWD) all || exit 1; \
+				for binary in $$testdir/*; do \
+					if [ -x $$binary ]; then \
+						echo "Executing $$binary"; \
+						LD_LIBRARY_PATH=$(PWD):$$LD_LIBRARY_PATH $(MAKE) -C $$testdir run || exit 1; \
+					fi; \
+				done; \
+				echo "Cleaning up in $$testdir..."; \
+				$(MAKE) -C $$testdir clean; \
+			else \
+				echo "Skipping $$testdir: Makefile not found."; \
+			fi; \
+		done; \
+	done
+
+.PHONY: it all clean check distclean txz strip install install-dynlib install-lib install-include

=== meson_options.txt ===
option('with-pkgconfig',
type: 'boolean',
value: false,
description: 'Build and install a /usr/lib/pkgconfig/liboblibs.pc file')

option('test',
type: 'boolean',
value: false,
description: 'Build and run tests')

option('with-include-dir',
type: 'array',
value: [],
description: 'Additional include directories')

option('with-staticlib-dir',
type: 'array',
value: [],
description: 'Additional static library directories')

option('with-dynamiclib-dir',
type: 'array',
value: [],
description: 'Additional shared library directories')

option('enable-shared',
type: 'boolean',
value: true,
description: 'Build shared libraries for dynamic linking')

option('enable-static',
type: 'boolean',
value: false,
description: 'Build static libraries for static linking')

option('enable-static-deps',
type: 'boolean',
value: false,
description: 'Prefer static linking for all dependencies (e.g., skalibs, s6), reducing runtime dependencies (requires enable-static=true)')

option('enable-static-executable',
type: 'boolean',
value: false,
description: 'Build fully static executables, including static libc, for maximum portability')

option('enable-all-pic',
type: 'boolean',
value: false,
description: 'Compile static libraries with position-independent code (PIC) for use in shared libraries or PIE executables')

option('enable-pie',
type: 'boolean',
value: false,
description: 'Build executables as position-independent (PIE) for enhanced security via ASLR')

=== src/environ/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC = gcc
-CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../include/66
+CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../include
 
 LIBS_PATH = -L/usr/lib/skalibs \
 			-L/usr/lib/execline

=== src/graph/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../include

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline

LIBS = 	-lexecline \
		-lskarnet \
		../../../liboblibs.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = graph.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../liboblibs.so.xyzzy) LD_LIBRARY_PATH=../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== src/queue/test/Makefile ===
CC = gcc
CFLAGS=-g -Wall -Wextra -std=c99 -D_XOPEN_SOURCE=700 -I../../include

LIBS_PATH = -L/usr/lib/skalibs \
			-L/usr/lib/execline

LIBS = 	-lexecline \
		-lskarnet \
		../../../liboblibs.so.xyzzy

LDFLAGS = $(LIBS_PATH) $(LIBS)
# List all source files for tests
# parse_bracket.c another_test.c some_other_test.c
TEST_SOURCES = queue.c
TEST_BINARIES = $(TEST_SOURCES:.c=)

all: $(TEST_BINARIES)

%: %.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

run: $(TEST_BINARIES)
	@for binary in $(TEST_BINARIES); do \
		echo "Executing $$binary"; \
		LD_PRELOAD=$(abspath ../../../liboblibs.so.xyzzy) LD_LIBRARY_PATH=../../../:$$LD_LIBRARY_PATH ./$$binary || exit 1; \
	done

clean:
	@exec rm -f $(TEST_BINARIES) $(wildcard *.o *.lo)

.PHONY: run clean

=== debian/changelog ===
oblibs (0.3.4.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Upstream release 0.3.4.0.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 16:36:55 +0300

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- s6 (>= 2.13.1),
- skalibs-dev (>= 2.14.3),
- libs6-dev (>= 2.13.1),
- libexecline-dev (>= 2.9.6),
- execline (>= 2.9.6),
- libexecline2.9,
- libskarnet2.14t64
+ s6 (>= 2.12),
+ skalibs-dev (>= 2.14),
+ libs6-dev (>= 2.12),
+ libexecline-dev (>= 2.9),
+ execline (>= 2.9),
+ libexecline2.9 ,
+ libskarnet2.14t64 | libskarnet2.14,
 Standards-Version: 4.6.2
 Homepage: https://git.obarun.org/Obarun/oblibs
 #Vcs-Browser: https://salsa.debian.org/debian/66

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#System types:
#CONFIG_OPT += --target=$(DEB_BUILD_GNU_TYPE) 
#CONFIG_OPT += --host=$(DEB_HOST_GNU_TYPE)

#Installation directories:
CONFIG_OPT += --prefix=/usr
#CONFIG_OPT += --exec-prefix=/usr

#Fine tuning of the installation directories:
#CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --libexecdir=\$${prefix}/libexec

#Dependencies:
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --with-lib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib

# Optional features
CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
CONFIG_OPT += --enable-absolute-paths  

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	dh_clean

override_dh_auto_configure:
	./tools/gen-deps.sh > package/deps.mak
	./configure -- $(CONFIG_OPT)

=== debian/watch ===
--- 
+++ 
@@ -33,5 +33,5 @@
 #https://pypi.debian.net/oblibs/oblibs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # Direct Git.
-opts="mode=git" https://git.obarun.org/obarun/oblibs
+opts="mode=git" https://git.obarun.org/obarun/oblibs.git
 #    refs/tags/v([\d\.]+)
